+(function ( $, window) {

	function init() {
		var input = document.getElementById('rpro_business_name');
		var options = {
			types: ['establishment']
			};
		var autocomplete = new google.maps.places.Autocomplete(input,options);

		var getAddress = ''
		var getName = ''
		var getCid = ''
		var url = ''
		var placeid = '';
		google.maps.event.addListener(autocomplete, 'place_changed', function () {
				var place = autocomplete.getPlace();
				placeid = place.place_id;
				getAddress = place.formatted_address;
				url = place.url;
				getName = place.name;
				
				/* if (place.formatted_address) {
					var strLink = 'http://search.google.com/local/writereview?placeid=' + placeid;
					document.getElementById("rpro_link").value = strLink;
				}*/
				
				if (place.formatted_address) {

					var strAddress = encodeURIComponent(getAddress);
					var strName = encodeURI(getName);

					var strLink = 'https://www.google.com' + '/search?q=' + strName +' '+strAddress;
                    var alternativeLink = 'https://search.google.com/local/writereview?placeid=' + placeid;//Added by Sax
					
					$.ajaxPrefilter( function (options) {
					  if (options.crossDomain && jQuery.support.cors) {
						var http = (window.location.protocol === 'http:' ? 'http:' : 'https:');
						//options.url = http + '//cors-anywhere.herokuapp.com/' + options.url;
						options.url = http + '//fast-savannah-12236.herokuapp.com/' + options.url;
					  }
					});

					var Cid = '';
					var index = url.indexOf("?cid");
					if (index != -1) {
						var txtCid = url.substring(index), rest = url.substring(0, index);
						Cid = txtCid.substring(5,25);	
					}
					
					/*
					var txtFid = '';
					var txtFinalLink = '';
					$.get(strLink,
						function (response) {
						
							var index = response.indexOf("data-fid");
							if (index != -1) {
								var txtFid = response.substring(index), rest = response.substring(0, index);
								var Fid = txtFid.substring(10,47);	
								var txtFinalLink = strLink + '&ludocid=' + 
								Cid + '&#lrd=' + Fid + ',3,5'
								document.getElementById("rpro_link").value= txtFinalLink;
							}
					});	
					*//* Commented - Sax */
				    document.getElementById("rpro_link").value = alternativeLink;//Added - Sax
				}
				
				
			});		
	}
	google.maps.event.addDomListener(window, 'load', init);
})( jQuery, window );

$(document).ready(function(){
	var linktype = document.getElementById("rpro_boxtype").value;
	if (linktype == 0) $("#linkbox").hide();
	if (linktype == 1) $("#linkbox").hide();
	if (linktype == 2) $("#linkbox").hide();
	if (linktype == 3) $("#linkbox").show();
	if (linktype == 4) $("#linkbox").show();
	
    $('#rpro_boxtype').on('change', function() {
		if (this.value == 0) $("#linkbox").hide();
		if (this.value == 1) $("#linkbox").hide();	
		if (this.value == 2) $("#linkbox").hide();
		if (this.value == 3) $("#linkbox").show();
		if (this.value == 4) $("#linkbox").show();
    });
	

	$('#accordion').accordion({
		active: 0,
		collapsible:true,
		heightStyle: 'content',
	  });
	//		create: function( event, ui ) {
	//	  $('#accordion .ui-accordion-content').hide();
	//	}
	
	 $("#reviewlinksubmit").click(function () {
			var rpro_business_name = document.getElementById('rpro_business_name').value;
			var rpro_link = document.getElementById('rpro_link').value;

			var errormsg = '';
			if (rpro_business_name.length == 0) {
				errormsg = 'error';
			} else if (rpro_link.length == 0) {
				errormsg = 'error';
			}
			if (errormsg != '') {
				  $.jAlert({
					'title': 'Business Name is Required',
					'content': 'Enter a Business Name to construct the Review Link',
					'theme': 'blue',
					'btns': { 'text': 'OK' }
				  });	
				return false;
			}
		});	
	
		$('#feedbacktable').DataTable();

});

var media_uploader = null;

function open_media_uploader_image()
{
    media_uploader = wp.media({
        frame:    "post",
        state:    "insert",
        multiple: false
    });

    media_uploader.on("insert", function(){
        var json = media_uploader.state().get("selection").first().toJSON();

        var image_url = json.url;
        var image_caption = json.caption;
        var image_title = json.title;
    });

    media_uploader.open();
}

function custom_alert(output_msg, title_msg)
{
    if (!title_msg)
        title_msg = 'Alert';

    if (!output_msg)
        output_msg = 'No Message to Display.';

    $("<div></div>").html(output_msg).dialog({
        title: title_msg,
        resizable: false,
        modal: true,
        buttons: {
            "Ok": function() 
            {
                $( this ).dialog( "close" );
            }
        }
    });
}
